unit KKS_VGB;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils,myutf8list,Forms,Dialogs,lazutf8;

procedure Initialize;
function Test(germanLong:string;inEnglish:boolean;isPrefix:boolean):string;


implementation

type TDictionaryEntry =
record
 GermanLong:string;
 GermanShort:string;
 EnglishLong:string;
 EnglishShort:string;
end;

type
 TDictionary=array of TDictionaryEntry;

var
 dictionary:TDictionary;
 f:textfile;


procedure Initialize;
var
 sa,sb,sc,sd:string;
 l:TListEnumerator;
begin
 setlength(dictionary,0);
 assignfile(f,'KKS.csv');
 reset(f);
 while not(eof(f)) do
 begin
  readln(f,sa);        //Stelle A
  sb:=AnsiToUTF8(sa);

  l.Init(sb,';');      //Stelle B
  sc:=l.NextItem;      //Stelle C

  sd:=AnsiToUTF8(sc);  //Stelle D

  setlength(dictionary,length(dictionary)+1);
  dictionary[length(dictionary)-1].GermanLong:=sd;

 end;
 closefile(f);
end;

function Test(germanLong:string;inEnglish:boolean;isPrefix:boolean):string;
var
 s1:string;
 s2:string;
begin
 Result:='';
  s1:=UTF8LowerCase(dictionary[0].GermanLong);
  s2:='wärme';
  if s1=s2
  then ShowMessage('gleich')
  else ShowMessage('ungleich');
end;

end.

